Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# MMDevice_Map_Hash_Key Class Reference

`#include <AVStreams_i.h>`

List of all members.

## Public Methods
| MMDevice_Map_Hash_Key (void)
| default constructor. More...
| MMDevice_Map_Hash_Key (AVStreams::MMDevice_ptr mmdevice)
| constructor. More...
| MMDevice_Map_Hash_Key (const MMDevice_Map_Hash_Key &)
| copy constructor. More...
| ~MMDevice_Map_Hash_Key (void)
| destructor. More...
int | operator== (const MMDevice_Map_Hash_Key &hash_key) const
| operator== needed by ACE_Hash_Map_Manager. More...
u_long | hash (void) const
| hash function for this mmdevice. More...
## Static Public Attributes
const int | hash_maximum_ = 10000
## Protected Attributes
AVStreams::MMDevice_ptr | mmdevice_
## Friends
int | operator< (const MMDevice_Map_Hash_Key &left, const MMDevice_Map_Hash_Key &right)
| operator== needed by ACE_Hash_Map_Manager. More...

## Constructor & Destructor Documentation

MMDevice_Map_Hash_Key::MMDevice_Map_Hash_Key | ( | void |  | ) |

| default constructor.

MMDevice_Map_Hash_Key::MMDevice_Map_Hash_Key | ( | AVStreams::MMDevice_ptr | mmdevice | ) |

| constructor.

MMDevice_Map_Hash_Key::MMDevice_Map_Hash_Key | ( | const MMDevice_Map_Hash_Key & | hash_key | ) |

| copy constructor.

MMDevice_Map_Hash_Key::~MMDevice_Map_Hash_Key | ( | void |  | ) |

| destructor.

## Member Function Documentation

u_long MMDevice_Map_Hash_Key::hash | ( | void |  | ) | const

| hash function for this mmdevice.

int MMDevice_Map_Hash_Key::operator== | ( | const MMDevice_Map_Hash_Key & | hash_key | ) | const

| operator== needed by ACE_Hash_Map_Manager.

## Friends And Related Function Documentation

int operator< | ( | const MMDevice_Map_Hash_Key & | left,
|  | const MMDevice_Map_Hash_Key & | right
| ) | `[friend]`

| operator== needed by ACE_Hash_Map_Manager.

## Member Data Documentation

const int MMDevice_Map_Hash_Key::hash_maximum_ = 10000`[static]`

AVStreams::MMDevice_ptr MMDevice_Map_Hash_Key::mmdevice_`[protected]`

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp